---
title: 'Apple Music: a tale of woe'
date: '2022-02-15'
draft: false
tags: ['music', 'Apple', 'services']
---

Last week my Apple Music collection, in as far as I can tell, become corrupted or otherwise unmanageable. This isn't the first issue I've had with the service nor is it the most severe — I gave Apple Music a try right after it launched, remnants of Beats Music and all.<!-- excerpt --> Adding an album to your library was unreliable and tracks would get duplicated if you tried a second time. It ended up overheating my phone battery to the point it could no longer hold a charge. Back to Spotify I went.

I'm the kind of music nerd that likes to meticulously manage genre tags, trim extraneous strings out of track and album names and update album artwork[^1]. Apple Music is the only streaming service that supports importing your own music to supplement their catalog while also editing their metadata to match. I've been doing this for a few years now and all was well and good as my music collection grew.

A few weeks ago I read through a [Brooklyn Vegan](https://brooklynvegan.com) on the best hardcore releases of 2021, added a few to my collection, tagged them and queued them. No problem. I don't end up liking all of them[^2]. I go back and notice the tags are all back to Apple's defaults (no big deal, this happens occasionally) and proceed to delete the albums I don't like. Fast-forward to the next day — I sit down, scroll through Recently Added to queue up something new and everything is right back to where it was. I try deleting the same albums from the iOS app, and it works briefly before they reappeared. Great.

My next steps were pretty standard, escalating, troubleshooting:

- [x] Log out of Apple Music on all devices
- [x] Reboot
- [x] Log in

Welcome back _Glow On_!

- [x] Reset my Apple Music library[^3]
- [x] Reconstruct my collection[^4]
- [x] Notice that I _still_ can't update metadata and Apple fingerprints your tracks, tries to overwrite the metadata and creates duplicate tracks if there's the _slightest_ mismatch. Notice that these duplicates can't be deleted.

So, here I am: I've had swapped a phone after the service launched and cooked the battery. I gave it a second try, it worked for a while exactly how I'd liked — as a cloud locker with a supplemental catalog of music I was less invested in — and then it hit a wall.

I had a pretty large library, I tweaked the data and imported external data. I imagine that's tough to sync and I imagine matching imported music helps with deduplication and performance. I would venture to guess that my usage lives in what would be considered an outlier or edge case, I get that. It's still disappointing to see the service fall on its face so spectacularly.

My music collection, for all intents and purposes, was broken in Apple Music. I took a brief look around, knowing that I already owned the vast majority of music I was _actually_ invested in and found [Doppler](http://brushedtype.co/doppler/). I downloaded the trial, imported my music, let Dropbox backup `~/Music`, signed out of Apple Music and deleted the app. I can update metadata and there's no streaming hiccups when Apple Music mysteriously pulls a track off my phone. I no longer have to maintain a smart playlist to track what falls out of Apple's catalog either.

I likely should have been listening to and managing music this way all along and there's a refreshing clarity to knowing exactly what's in your finite collection and what you actually _want_ to be in that collection. I know what I enjoy, it's on my phone and there's no more cycling through endless playlists and recommendations. Apple Music is convenient, but it's inconsistent and unreliable. I don't think I'll be back.[^5]

[^1]: I'm looking at you Audiotree Live.
[^2]: I've seen folks raving about the new Turnstile record and that's rad, but I don't get it. I'm so sorry.
[^3]: There's a button to do this in the Mac App store app, and it doesn't work. It throws a generic exception telling you to try later — use the one in the Music app.
[^4]: Cool — an opportunity to get introspective and pare back what I actually care to listen to.
[^5]: This prompted me to move the last of my import data, my photos, off of Apple's services — my music library is one thing, having the same happen to my photos would be devastating. They're now sitting in Google Photos, getting mirrored to Dropbox and perhaps off to BackBlaze. Is this an overreaction? Maybe — but I've also had a tab Safari claims is open on my Mac Mini for 3-4 months now. Syncing is hard and the evidence leads me to believe the service implementation may not be that reliable.
