---
date: '2023-04-27'
title: 'We lost the thread'
draft: false
tags: ['social media', 'tech', 'culture']
---

We've arrived at a point where we can say that our attempts to port relationships and social interactions to the internet has been an unambiguous failure.<!-- excerpt --> Cory[^1] Doctorow [captures how markets have driven this quite succinctly](https://pluralistic.net/2023/01/21/potemkin-ai/#hey-guys):

> This is enshittification: surpluses are first directed to users; then, once they're locked in, surpluses go to suppliers; then once _they're_ locked in, the surplus is handed to shareholders and the platform becomes a useless pile of shit. From mobile app stores to Steam, from Facebook to Twitter, this is the enshittification lifecycle.

It's a failure of imagination, a failure of requirements and a natural outcome of market incentives that have us sitting here and, frankly, it sucks. We've got networked devices, humans maintain a network of relationships, and we tried to facilitate the latter using the former and, like so much what we do as a society, we tried to use the opportunity to turn a profit. Sounds cool right?

I'd say it worked reasonably well while the technology was a nascent compliment to existing human relationships, where those relationships were rooted in a real connection. But those benefits didn't last all that long — the value diminished as these platforms worked to climb to the top of the enshittification curve, privatize profits and replace real relationships.[^2]

Is a friend on a social network a friend or someone you went to in high school ten years ago? Is that a relationship or a data point in a social graph that you don't own?

Your real social graph is a list of contacts — a list that may be tedious to main but, if a relationship is worth maintaining, you'll maintain its entry in that list. Modern social platforms make it easy to maintain relationships that aren't that. Log in, like some posts, log off. It's ritualized, it's addictive, and it's devoid of value.

Pick up a phone and call someone, grab coffee, send them a text — if that's too much work then it sounds like you may have outgrown that relationship and moved on. We haven't scaled relationships or made them more convenient, we've created sticky platforms that don't benefit or empower their users.

There's a missed opportunity here where we empower users without trapping them in platforms constrained by the imaginations of their creators. We don't have to be in the business of building silos.[^3] We are failing users by placing a monetary value on something intangible, that we can't properly quantify and measure.

I don't have a solution to this, but existing platforms aren't it and don't appear to either. We've got money made, users harmed and relationships cheapened — those are not compelling outcomes. It's extractive and abusive. What we should be doing is giving users tools they want and tools that they control. We should be facilitating discovery, portability and interconnection without trapping users or their data.

Maybe the future is decentralized. Maybe it looks more like personal websites — but we have a lot to do on that front to make building them, owning and configuring domains and improving discoverability to make that accessible. Maybe protocols like [webfinger](https://webfinger.net) play a role. We certainly need a better regulatory approach than the one we've got.

What I do know is that we shouldn't have ceded the public square to the market or  monetizing human relationships to make things "free". I'm vaguely optimistic things are changing for the better but maybe that's misplaced. We'll see.

[^1]: Great name, right?
[^2]: Greed is good, infinite growth is possible if we just _innovate_ enough, right? Right?
[^3]: If you love someone let them go, if you care about your users let them keep their data etc. etc. etc.
